Package com.smartgwt.client.ai

# Class ValidateQueryDataQuestionStep

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.ai.DataQuestionStep
com.smartgwt.client.ai.ValidateQueryDataQuestionStep

All Implemented Interfaces:
  `HasHandlers`

public class ValidateQueryDataQuestionStep extends DataQuestionStep

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ValidateQueryDataQuestionStep()`
  `ValidateQueryDataQuestionStep(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MakeQueryDataQuestionStepResult`
  `getMakeQueryStepResult()`
  `static ValidateQueryDataQuestionStep`
  `getOrCreateRef(JavaScriptObject jsObj)`
  `DataQuestionStepType`
  `getType()`
  The value VALIDATE_QUERY.
  `ValidateQueryDataQuestionStep`
  `setMakeQueryStepResult(MakeQueryDataQuestionStepResult makeQueryStepResult)`
  `ValidateQueryDataQuestionStep`
  `setType(DataQuestionStepType type)`
  The value VALIDATE_QUERY.

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ValidateQueryDataQuestionStep

    public ValidateQueryDataQuestionStep()

  - ### ValidateQueryDataQuestionStep

    public ValidateQueryDataQuestionStep(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static ValidateQueryDataQuestionStep getOrCreateRef(JavaScriptObject jsObj)

  - ### setMakeQueryStepResult

    public ValidateQueryDataQuestionStep setMakeQueryStepResult(MakeQueryDataQuestionStepResult makeQueryStepResult)
    Parameters:
      `makeQueryStepResult` - New makeQueryStepResult value. Default value is *initialized by the implementation*
    Returns:
      `ValidateQueryDataQuestionStep` instance, for chaining setter calls

  - ### getMakeQueryStepResult

    public MakeQueryDataQuestionStepResult getMakeQueryStepResult()
    Returns:
      Current makeQueryStepResult value. Default value is *initialized by the implementation*

  - ### setType

    public ValidateQueryDataQuestionStep setType(DataQuestionStepType type)
    The value VALIDATE_QUERY.
    Overrides:
      `setType` in class `DataQuestionStep`
    Parameters:
      `type` - New type value. Default value is null
    Returns:
      `ValidateQueryDataQuestionStep` instance, for chaining setter calls

  - ### getType

    public DataQuestionStepType getType()
    The value VALIDATE_QUERY.
    Overrides:
      `getType` in class `DataQuestionStep`
    Returns:
      Current type value. Default value is null